Subject: Re: bug#21833: 24.4; desktop-kill, which is interactive, is in kill-emacs-hook

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Nov 2015 16:05:45 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Fri, 13 Nov 2015 11:14:57 +0100
> Cc: Glenn Morris <[email-masked]>, [email-masked], [email-masked]
> 
> > In "emacs -Q", the desktop you have is ephemeral
> 
> Obviously, I'm not talking about the -Q case, and I don't thing the OP is,
> either. That's just a recipe to show that kill-emacs asks an interactive
> question.

That's not my interpretation of the original report.  It specifically
talks about "emacs -Q".

It also talks about the daemon.  If that's the problem, then I guess
desktop-kill could behave as if YES was answered when we run in daemon
mode and -Q was not given on the command line.  Would that make sense?

What other use cases are there where this issue could arise,
i.e. where the user couldn't answer the question?